View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000144Ecere SDKidepublic2009-01-06 06:172013-08-07 03:33
Reporterrnsanchez 
Assigned Toredj 
PriorityimmediateSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000144: IDE creating Makefiles with incorrect directories
DescriptionWhen doing:

1- Project
2- Settings
3- Target Directory
4- <move to parent directory, [Select]>
5- Regenerate Makefile

The resulting Makefile will look like this:

...
#
OBJECTS = \
#
        /factorial.o /factorial.main.o
#
 
#
COBJECTS = \
#
        /factorial.c
...
/factorial.main.ec: $(SYMBOLS) $(COBJECTS)
#
        $(ECS) -console $(SYMBOLS) $(IMPORTS) -symbols -o /factorial.main.ec

Which is not the expected result.
Tagsstar, v0.44d2
Attached Files

- Relationships
related to 0000330closedredj Empty object dir: Adds a / 
related to 0000811closedredj Be a bit smarter when setting . as target dir 

-  Notes
(0000101)
rnsanchez (reporter)
2009-01-06 06:25

Additionally, the Makefile will emit -symbols for ecc without a directory:

# C OBJECT RULES

factorial.c: factorial.ec factorial.sym | $(SYMBOLS)
        $(ECC) $(ECFLAGS) $(CFLAGS) -c factorial.ec -o factorial.c -symbols


Which fails:

ecc -t Linux -cc gcc -fmessage-length=0 -fvisibility=hidden -g -Wall -fPIC -D_DEBUG -c factorial.ec -o factorial.c -symbols
Syntax:
   ecc [-t <target platform>] [-cc <compiler>] [-o <output>] [-symbols <outputdir>] [-I<includedir>]* [-isystem <sysincludedir>]* [-D<definition>]* -c <input>
(0000800)
redj (administrator)
2013-05-06 03:28

add commit link note
(0000802)
redj (administrator)
2013-05-06 05:34
edited on: 2013-05-22 23:18

fixed by https://github.com/ecere/sdk/commit/0558aca5d0b1a994a24037329acd94f87b757d84 [^]


- Issue History
Date Modified Username Field Change
2009-01-06 06:17 rnsanchez New Issue
2009-01-06 06:25 rnsanchez Note Added: 0000101
2009-05-03 04:13 jerome Priority normal => immediate
2009-05-03 06:30 jerome Status new => assigned
2009-05-03 06:30 jerome Assigned To => jerome
2010-07-07 02:37 redj Target Version => 0.44d2
2010-07-07 04:10 redj Tag Attached: v0.44d2
2010-07-07 04:41 redj Tag Attached: star
2010-07-25 21:27 redj Relationship added child of 0000429
2010-07-26 19:29 thexa4 Target Version 0.44d2 => 0.44 draft 2
2010-08-07 18:03 jerome Assigned To jerome => redj
2012-03-08 15:41 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:31 redj Relationship deleted child of 0000429
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-04-24 07:00 jerome Relationship added related to 0000811
2013-04-24 20:33 jerome Assigned To redj =>
2013-04-24 20:33 jerome Target Version 0.45 Ginkakuji => 0.44.1 64
2013-04-27 06:08 redj Status assigned => new
2013-04-27 06:30 jerome Status new => assigned
2013-04-27 06:30 jerome Assigned To => redj
2013-05-06 03:28 redj Status assigned => resolved
2013-05-06 03:28 redj Fixed in Version => 0.44.1 64
2013-05-06 03:28 redj Resolution open => fixed
2013-05-06 03:28 redj Note Added: 0000800
2013-05-06 05:31 redj Relationship added related to 0000330
2013-05-06 05:34 redj Note Added: 0000802
2013-05-06 05:40 redj Note Edited: 0000802
2013-05-20 23:16 redj Note Edited: 0000802
2013-05-22 20:19 jerome Status resolved => closed
2013-05-22 23:18 redj Note Edited: 0000802
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker